Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages.properties	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/messages.properties	(revision 3832)
@@ -3,10 +3,21 @@
 blackAndWhite=Black and white
 canNotOpenChartPropertiesInterfaceForThecurrentChartEngine=Can not open chart properties interface for the current chart engine.
 chartsRendering=Charts rendering
+ChartViewCopiedToClipboard=Chart view copied to clipboard.
 colors=Colors
 currentEngine=Current charts engine
 defaultExportFormat=Default export format
 displayFormat=Display format
+ErrorP0IsNotAFile=Error: {0} is not a file.
+ErrorWhileMmovingTotherightInP0P1=Error while moving to the right in {0}: {1}.
+ErrorWhileMovingDownInP0P1=Error while moving down in {0}: {1}.
+ErrorWhileMovingToTheLeftInP0P1=Error while moving to the left in {0}: {1}.
+ErrorWhileMovingUpInP0P1=Error while moving up in {0}: {1}.
+ErrorWhileResettingViewInP0P1=Error while resetting view in {0}: {1}.
+ErrorWhileZoomingInP0P1=Error while zooming in {0}: {1}.
+ErrorWhileZoomingOutInP0P1=Error while zooming out in {0}: {1}.
+ExportingChart=Exporting chart...
+ExportingCurrentChartViewToFileP0=Exporting current chart view to file {0}...
 grayscale=Shades of grey
 monochrome=Monochrome
 monochromeRenderingColor=Color for monochrome rendering
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/ChartsUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/ChartsUIMessages.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/messages/ChartsUIMessages.java	(revision 3832)
@@ -37,11 +37,33 @@
 
 	public static String multipleLineStrokeStyles;
 
-	public static String canNotOpenChartPropertiesInterfaceForThecurrentChartEngine; 
+	public static String canNotOpenChartPropertiesInterfaceForThecurrentChartEngine;
+
+	public static String ChartViewCopiedToClipboard;
+
+	public static String ErrorP0IsNotAFile;
+
+	public static String ErrorWhileMmovingTotherightInP0P1;
+
+	public static String ErrorWhileMovingDownInP0P1;
+
+	public static String ErrorWhileMovingToTheLeftInP0P1;
+
+	public static String ErrorWhileMovingUpInP0P1;
+
+	public static String ErrorWhileResettingViewInP0P1;
+
+	public static String ErrorWhileZoomingInP0P1;
+
+	public static String ErrorWhileZoomingOutInP0P1; 
 	
 	
 	
-	static {
+	
+
+	public static String ExportingChart;
+
+	public static String ExportingCurrentChartViewToFileP0;static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, ChartsUIMessages.class);
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 3832)
@@ -385,12 +385,12 @@
 	
 	
 	public void onPartActivated() {
-		Log.finest("+++++ ChartEditor.onPartActivated(): " + this.getResult());
+		Log.finest("+++++ ChartEditor.onPartActivated(): " + this.getResult()); //$NON-NLS-1$
 		this.activateContext();
 	}
 	
 	public void onPartDeactivated() {
-		Log.finest("----- ChartEditor.onPartDeactivated(): " + this.getResult());
+		Log.finest("----- ChartEditor.onPartDeactivated(): " + this.getResult()); //$NON-NLS-1$
 		this.deactivateContext();
 	}
 	
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartEditorToolBar.java	(revision 3832)
@@ -19,7 +19,7 @@
 public class ChartEditorToolBar extends TXMEditorToolBar {
 	
 	
-	public final static String ID = "ChartEditorToolBar";
+	public final static String ID = "ChartEditorToolBar"; //$NON-NLS-1$
 	
 	
 	/**
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/SwingChartComposite.java	(revision 3832)
@@ -221,7 +221,7 @@
 	public boolean setFocus() {
 		
 		if (this.isDisposed()) {
-			System.out.println("SwingChartComposite.setFocus(): is disposed.");
+			System.out.println("SwingChartComposite.setFocus(): is disposed."); //$NON-NLS-1$
 			return false;
 		}
 		
@@ -424,7 +424,7 @@
 						
 						// setVisible(false);
 						frame.setVisible(false);
-						Log.finest("SwingChartComposite.initEventsListeners().new MouseListener() {...}.mouseExited()");
+						Log.finest("SwingChartComposite.initEventsListeners().new MouseListener() {...}.mouseExited()"); //$NON-NLS-1$
 						frame.setVisible(true);
 						// setVisible(true);
 						
@@ -696,13 +696,13 @@
 			@Override
 			public void focusLost(FocusEvent e) {
 				// TODO Auto-generated method stub
-				Log.finest("SwingChartComposite.SwingChartComposite(...).new FocusListener() {...}.focusLost()");
+				Log.finest("SwingChartComposite.SwingChartComposite(...).new FocusListener() {...}.focusLost()"); //$NON-NLS-1$
 			}
 			
 			@Override
 			public void focusGained(FocusEvent e) {
 				// TODO Auto-generated method stub
-				Log.finest("SwingChartComposite.SwingChartComposite(...).new FocusListener() {...}.focusGained()");
+				Log.finest("SwingChartComposite.SwingChartComposite(...).new FocusListener() {...}.focusGained()"); //$NON-NLS-1$
 			}
 		});
 		
@@ -794,7 +794,7 @@
 			@Override
 			public void windowDeactivated(WindowEvent e) {
 				// TODO Auto-generated method stub
-				Log.finest("SwingChartComposite.SwingChartComposite(...).new WindowListener() {...}.windowDeactivated()");
+				Log.finest("SwingChartComposite.SwingChartComposite(...).new WindowListener() {...}.windowDeactivated()"); //$NON-NLS-1$
 			}
 			
 			@Override
@@ -812,7 +812,7 @@
 			@Override
 			public void windowActivated(WindowEvent e) {
 				// TODO Auto-generated method stub
-				Log.finest("SwingChartComposite.SwingChartComposite(...).new WindowListener() {...}.windowActivated()");
+				Log.finest("SwingChartComposite.SwingChartComposite(...).new WindowListener() {...}.windowActivated()"); //$NON-NLS-1$
 			}
 		});
 		
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 3832)
@@ -37,7 +37,7 @@
  */
 public class AdvancedChartEditorToolBar extends ChartEditorToolBar {
 	
-	public final static String ID = "AdvancedChartEditorToolBar";
+	public final static String ID = "AdvancedChartEditorToolBar"; //$NON-NLS-1$
 
 	/**
 	 * Chart type selection combo (expert mode only).
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java	(revision 3832)
@@ -143,7 +143,7 @@
 		
 		// if (!this.chartEditor.getResult().isChartDirty()) {
 		
-		Log.finest(this.getClass().getSimpleName() + ": creating a chart component...");
+		Log.finest(this.getClass().getSimpleName() + ": creating a chart component..."); //$NON-NLS-1$
 		
 		this.chartComponent = this._createChartComponent();
 		this.chartComponent.setChartEditor(this.chartEditor);
@@ -214,7 +214,7 @@
 	public void setCurrentContextMenu(int index) {
 		
 		// Debug
-		Log.finest("ChartComposite.setCurrentContextMenu(): setting menu to " + index + " / " + this.contextMenus.get(index)); //$NON-NLS-1$
+		Log.finest("ChartComposite.setCurrentContextMenu(): setting menu to " + index + " / " + this.contextMenus.get(index)); //$NON-NLS-1$ //$NON-NLS-2$
 		
 		this.setMenu(this.contextMenus.get(index));
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 3832)
@@ -46,6 +46,7 @@
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.messages.ChartsUIMessages;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.rcp.JobsTimer;
@@ -122,10 +123,10 @@
 				Log.severe(TXMCoreMessages.bind(TXMUIMessages.impossibleToReadP0, file));
 			}
 			if (!file.isFile()) {
-				Log.severe(TXMCoreMessages.bind("Error: {0} is not a file.", file));
+				Log.severe(TXMCoreMessages.bind(ChartsUIMessages.ErrorP0IsNotAFile, file));
 			}
 			
-			JobHandler jobhandler = new JobHandler(TXMCoreMessages.bind("Exporting current chart view to file {0}...", file.getAbsolutePath())) {
+			JobHandler jobhandler = new JobHandler(TXMCoreMessages.bind(ChartsUIMessages.ExportingCurrentChartViewToFileP0, file.getAbsolutePath())) {
 				
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/MoveUpChartView.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/MoveUpChartView.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/MoveUpChartView.java	(revision 3832)
@@ -6,6 +6,7 @@
 import org.eclipse.osgi.util.NLS;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.messages.ChartsUIMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -25,7 +26,7 @@
 			chartEditor.pan(0, 0, 0, 1, 0.1);
 		}
 		catch (Exception e) {
-			Log.warning(NLS.bind("Error while moving up in {0}: {1}.", chartEditor, e));
+			Log.warning(NLS.bind(ChartsUIMessages.ErrorWhileMovingUpInP0P1, chartEditor, e));
 		}
 		return chartEditor;
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ZoomInChartView.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ZoomInChartView.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ZoomInChartView.java	(revision 3832)
@@ -7,6 +7,7 @@
 import org.eclipse.swt.graphics.Point;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.messages.ChartsUIMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -27,7 +28,7 @@
 			chartEditor.zoom(p.x / 2, p.y / 2, true);
 		}
 		catch (Exception e) {
-			Log.warning(NLS.bind("Error while zooming in in {0}: {1}.", chartEditor, e));
+			Log.warning(NLS.bind(ChartsUIMessages.ErrorWhileZoomingInP0P1, chartEditor, e));
 		}
 		return chartEditor;
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ZoomOutChartView.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ZoomOutChartView.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ZoomOutChartView.java	(revision 3832)
@@ -7,6 +7,7 @@
 import org.eclipse.swt.graphics.Point;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.messages.ChartsUIMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -27,7 +28,7 @@
 			chartEditor.zoom(p.x / 2, p.y / 2, false);
 		}
 		catch (Exception e) {
-			Log.warning(NLS.bind("Error while zooming out in {0}: {1}.", chartEditor, e));
+			Log.warning(NLS.bind(ChartsUIMessages.ErrorWhileZoomingOutInP0P1, chartEditor, e));
 		}
 		return chartEditor;
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/CopyChartViewToClipboard.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/CopyChartViewToClipboard.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/CopyChartViewToClipboard.java	(revision 3832)
@@ -6,6 +6,7 @@
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.messages.ChartsUIMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -22,7 +23,7 @@
 		ChartEditor<? extends ChartResult> chartEditor = SWTChartsComponentsProvider.getActiveChartEditor(event);
 		chartEditor.copyChartViewToClipboard();
 		
-		Log.info("Chart view copied to clipboard.");
+		Log.info(ChartsUIMessages.ChartViewCopiedToClipboard);
 		
 		return null;
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/MoveDownChartView.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/MoveDownChartView.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/MoveDownChartView.java	(revision 3832)
@@ -6,6 +6,7 @@
 import org.eclipse.osgi.util.NLS;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.messages.ChartsUIMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -25,7 +26,7 @@
 			chartEditor.pan(0, 0, 0, -1, 0.1);
 		}
 		catch (Exception e) {
-			Log.warning(NLS.bind("Error while moving down in {0}: {1}.", chartEditor, e));
+			Log.warning(NLS.bind(ChartsUIMessages.ErrorWhileMovingDownInP0P1, chartEditor, e));
 		}
 		return chartEditor;
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/MoveLeftChartView.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/MoveLeftChartView.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/MoveLeftChartView.java	(revision 3832)
@@ -6,6 +6,7 @@
 import org.eclipse.osgi.util.NLS;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.messages.ChartsUIMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -25,7 +26,7 @@
 			chartEditor.pan(0, 0, -1, 0, 0.1);
 		}
 		catch (Exception e) {
-			Log.warning(NLS.bind("Error while moving to the left in {0}: {1}.", chartEditor, e));
+			Log.warning(NLS.bind(ChartsUIMessages.ErrorWhileMovingToTheLeftInP0P1, chartEditor, e));
 		}
 		return chartEditor;
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ResetChartView.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ResetChartView.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ResetChartView.java	(revision 3832)
@@ -7,6 +7,7 @@
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.messages.ChartsUIMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -25,7 +26,7 @@
 			chartEditor.resetView();
 		}
 		catch (Exception e) {
-			Log.warning(NLS.bind("Error while resetting view in {0}: {1}.", chartEditor, e));
+			Log.warning(NLS.bind(ChartsUIMessages.ErrorWhileResettingViewInP0P1, chartEditor, e));
 		}
 		return chartEditor;
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/MoveRightChartView.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/MoveRightChartView.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/MoveRightChartView.java	(revision 3832)
@@ -6,6 +6,7 @@
 import org.eclipse.osgi.util.NLS;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.messages.ChartsUIMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -25,7 +26,7 @@
 			chartEditor.pan(0, 0, 1, 0, 0.1);
 		}
 		catch (Exception e) {
-			Log.warning(NLS.bind("Error while moving to the right in {0}: {1}.", chartEditor, e));
+			Log.warning(NLS.bind(ChartsUIMessages.ErrorWhileMmovingTotherightInP0P1, chartEditor, e));
 		}
 		return chartEditor;
 	}
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 3832)
@@ -44,6 +44,7 @@
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
+import org.txm.chartsengine.rcp.messages.ChartsUIMessages;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.rcp.JobsTimer;
 import org.txm.rcp.StatusLine;
@@ -109,7 +110,7 @@
 		dialog.setFileName(chartResult.getValidFileName());
 		
 		if (dialog.open() != null) {
-			StatusLine.setMessage("Exporting chart...");
+			StatusLine.setMessage(ChartsUIMessages.ExportingChart);
 			
 			String filepath = dialog.getFilterPath() + "/" + dialog.getFileName(); //$NON-NLS-1$
 			final File file = new File(filepath);
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/___KeyboardBindingProperties.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/___KeyboardBindingProperties.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/___KeyboardBindingProperties.java	(revision 3832)
@@ -13,8 +13,8 @@
 public class ___KeyboardBindingProperties extends Properties {
 
 	
-	public final static String PAN_LEFT = "charts_engine_keyboard_binding_pan_left", PAN_DOWN = "charts_engine_keyboard_binding_pan_down",  PAN_RIGHT = "charts_engine_keyboard_binding_pan_right",
-			PAN_UP = "charts_engine_keyboard_binding_pan_up";
+	public final static String PAN_LEFT = "charts_engine_keyboard_binding_pan_left", PAN_DOWN = "charts_engine_keyboard_binding_pan_down",  PAN_RIGHT = "charts_engine_keyboard_binding_pan_right", //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			PAN_UP = "charts_engine_keyboard_binding_pan_up"; //$NON-NLS-1$
 	
 
 
@@ -31,10 +31,10 @@
 	 * Creates a keyboard controls binding with default properties.
 	 */
 	public ___KeyboardBindingProperties() {
-		this.setProperty(___KeyboardBindingProperties.PAN_LEFT, "");
-		this.setProperty(___KeyboardBindingProperties.PAN_DOWN, "");
-		this.setProperty(___KeyboardBindingProperties.PAN_RIGHT, "");
-		this.setProperty(___KeyboardBindingProperties.PAN_UP, "");
+		this.setProperty(___KeyboardBindingProperties.PAN_LEFT, ""); //$NON-NLS-1$
+		this.setProperty(___KeyboardBindingProperties.PAN_DOWN, ""); //$NON-NLS-1$
+		this.setProperty(___KeyboardBindingProperties.PAN_RIGHT, ""); //$NON-NLS-1$
+		this.setProperty(___KeyboardBindingProperties.PAN_UP, ""); //$NON-NLS-1$
 	}
 
 
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/___MouseBindingProperties.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/___MouseBindingProperties.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/preferences/___MouseBindingProperties.java	(revision 3832)
@@ -13,7 +13,7 @@
 public class ___MouseBindingProperties extends Properties {
 
 	
-	public final static String PAN = "charts_engine_mouse_binding_pan", ZOOM = "charts_engine_mouse_binding_zoom";
+	public final static String PAN = "charts_engine_mouse_binding_pan", ZOOM = "charts_engine_mouse_binding_zoom"; //$NON-NLS-1$ //$NON-NLS-2$
 
 	
 	/**
@@ -28,7 +28,7 @@
 	 * Creates a mouse controls binding with default properties.
 	 */
 	public ___MouseBindingProperties() {
-		this.setProperty(___MouseBindingProperties.PAN, "");
+		this.setProperty(___MouseBindingProperties.PAN, ""); //$NON-NLS-1$
 	}
 
 }
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 3831)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 3832)
@@ -185,7 +185,7 @@
 				
 				SWTChartsComponentsProvider.chartsComponentsProviders.add(swtChartsComponentsProvider);
 				
-				Log.fine(TXMCoreMessages.bind("Starting SWT charts components provider: {0}...", swtChartsComponentsProvider));
+				Log.fine(TXMCoreMessages.bind("Starting SWT charts components provider: {0}...", swtChartsComponentsProvider)); //$NON-NLS-1$
 				
 				
 			}
@@ -218,7 +218,7 @@
 				SWTChartsComponentsProvider.chartsComponentsProviders.get(i).setChartsEngine(chartsEngine);
 				
 				SWTChartsComponentsProvider.currentChartsComponentsProviderIndex = i;
-				Log.finest("Setting current SWT charts components provider to: " + SWTChartsComponentsProvider.getCurrent() + ".");
+				Log.finest("Setting current SWT charts components provider to: " + SWTChartsComponentsProvider.getCurrent() + "."); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			}
 		}
@@ -490,7 +490,7 @@
 	
 	@Override
 	public String toString() {
-		return String.format("%s (supported input formats: %s, Charts Engine: %s)", this.name, this.supportedInputFormats.toString().replaceAll("\\[|\\]", ""), this.chartsEngine); //$NON-NLS-1$
+		return String.format("%s (supported input formats: %s, Charts Engine: %s)", this.name, this.supportedInputFormats.toString().replaceAll("\\[|\\]", ""), this.chartsEngine); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	}
 	
 	
